iPod School

OS X bash Update corrige brecha de segurança no Mac

André BazagliaAndré Bazaglia

macbook

Todos os sistemas baseados em UNIX foram afetados por uma falha recente no pacote bash. A vulnerabilidade abre portas a usuários não-autorizados, que podem tomar controle remoto de sistemas que não têm seus pacotes “bash” atualizados. Um usuário com configurações padrões está, na maioria das vezes, seguro. Certamente, você não compilou um webservice no Mac que usa no dia-a-dia. Ainda assim, o “OS X bash Update” foi lançado. Basta abrir o programa nativo “App Store” para instalar a atualização.

Aliás, se você é usuário de qualquer distribuição do Linux — você não precisa ter um Mac para estar afetado, já que a falha é geral de sistemas que têm o pacote “bash” –, é interessante que você faça um teste.

env 'VAR=() { :;}; echo Bash eh vulneravel!' 'FUNCTION()=() { :;}; echo Bash eh vulneravel!' bash -c "echo Teste do bash"

Cole o comando acima no seu Terminal. Se a linha “Bash eh vulneravel” for impressa na sua tela, significa que você está vulnerável à falha. Corrigi-la é, no entanto, uma tarefa fácil e rápida. Rode, no Terminal, o comando correspondente ao seu sistema.

Ubuntu e Debian:

sudo apt-get update && sudo apt-get install –only-upgrade bash

CentOS, Red Hat e Fedora:

sudo yum update bash

Mac

Programador, blogueiro, estudante de Engenharia de Computação. Em busca de deixar sua marquinha no universo.